在linux服务器为php5.4安装mongo 3.x扩展驱动

mongo作为nosql的主力军早就更新到了3.2,在性能提升的同时为各语言的连接支持带来了不少麻烦,最近团队需要使用php访问mongo 3.x时安装驱动始终有问题,目前baidu还没有相关的文章,昨天耐心读了相关文档在linux装上了mongo扩展,特别记录分享在此。

php安装mongo驱动,因为版本不同需要选择不同的驱动版本
比较低的php版本的使用mongo,比较老的版本使用mongodb
对应的php版本找到合适的驱动版本下载安装就好了
php官网有对照表

服务器操作步骤

cd /usr/local/www
wget https://pecl.php.net/get/mongodb-1.1.8.tgz
tar zxvf  mongodb-1.1.8.tgz     
cd mongodb-1.1.8
pecl install mongodb
echo "extension=mongodb.so" >> `php --ini | grep "Loaded Configuration" | sed -e "s|.*:\s*||"`
wget https://getcomposer.org/installer
mv installer composer-setup.php
chmod u+x composer-setup.php 
php composer-setup.php --install-dir=/usr/local/bin --filename=composer
composer require "mongodb/mongodb=^1.0.0"

最终产生的驱动连接文件在

/usr/local/www/vendor/autoload.php

相关环境

Centos 6.x
PHP 5.4.27 (cli) (built: Apr 20 2014 22:46:59) Copyright (c) 1997-2014 The PHP GroupZend Engine v2.4.0, Copyright (c) 1998-2014 Zend Technologies
with Zend Guard Loader v3.3, Copyright (c) 1998-2013, by Zend Technologies


本作品采用知识共享署名 4.0 国际许可协议进行许可,欢迎转载内容并请注明出处
《在linux服务器为php5.4安装mongo 3.x扩展驱动》 http://io97.com/2016/08/24/10026.html